## NAME

g.gui.gmodeler - Graphical Modeler.
Allows interactively creating, editing and managing models.

## KEYWORDS

general, GUI, graphical modeler, workflow

## SYNOPSIS

g.gui.gmodeler
g.gui.gmodeler --help
g.gui.gmodeler [file=name.gxm] [--help] [--verbose] [--quiet] [--ui]

### Flags:

--help
  Print usage summary
--verbose
  Verbose module output
--quiet
  Quiet module output
--ui
  Force launching GUI dialog

### Parameters:

file=name.gxm
  Name of model file to be loaded

## DESCRIPTION

The Graphical Modeler is a wxGUI component which allows the user to create, edit, and manage complex models using easy-to-use interface. When performing analytical operations in GRASS, the operations are not isolated, but part of a chain of operations. Using Graphical Modeler, that chain of processes (ie. GRASS modules) can be wrapped into one process (ie. model). So it's easier to execute the model later with slightly different inputs or parameters.

The modeler can be launched from the Layer Manager menu `File -> Graphical modeler` or from the main toolbar . It's also available as stand-alone module g.gui.gmodeler.

The Graphical Modeler allows you to:

- define data items (raster, vector, 3D raster maps)
- define actions (GRASS commands)
- define relations between data and action items
- define loops (eg. map series) and conditions (if-else statements)
- define model variables
- parameterize GRASS commands
- define intermediate data
- validate and run model
- store model properties to the file (`GRASS Model File|*.gxm`)
- export model to Python script
- export model to image file

Figure: A model to perform unsupervised classification using MLC and SMAP

## SEE ALSO

wxGUI
wxGUI components

User-defined models available from SVN.

See also the wiki page (especially various video tutorials).

## AUTHOR

Martin Landa, OSGeoREL, Czech Technical University in Prague, Czech Republic

$Date: 2015-02-14 13:09:41 +0100 (so, 14 II 2015) $

Main index | GUI index | Topics index | Keywords index | Full index

© 2003-2015 GRASS Development Team, GRASS GIS 7.0.0 Reference Manual